Gönderen Konu: Nvidia Optimus (Bumblebee) Rehberi  (Okunma sayısı 31087 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

« : »
Bumblebee projesi

Bumblebee, GNU/Linux dağıtımlarında Nvidia Optimus teknolojisine sahip dizüstlerini desteklemeyi amaçlamaktadır. Bumblebee'yi kullanarak sistemdeki grafiklerin Nvidia kartınız tarafından işlenmesini sağlayabilirsiniz. Ayrıca Bumblebee kurulumunun ısınma sorununu azaltma ve pil ömrüne katkıda bulunma gibi işlevleri de vardır. Bumblebee, resmi olarak Ubuntu 13.10 ve daha yeni sürümlerde desteklenmektedir. Ayrıca, 12.04'ten 13.10'a kadar olan sürümler de Bumblebee Proje Topluluğu tarafından desteklenmektedir.


Kurulum

   - 12.04 için Basit kurulum

Eğer 12.04.3 kullanıyorsanız  linux-headers-generic yerine linux-headers-generic-lts-raring yazın.
ctrl+alt+t kısayolu veya görsel yoldan uçbirim açıp aşağıdaki işlemleri uygulayın:

1:  Henüz yapmadıysanız depolarınızdan Universe ve Multiverse depolarınızı açın. Depoları açmayla ilgili wikimizdeki maddemiz için tıklayın.

2:
Kod: [Seç]
sudo add-apt-repository ppa:bumblebee/stable
3:
Kod: [Seç]
sudo apt-get update
4:
Kod: [Seç]
sudo apt-get install bumblebee bumblebee-nvidia virtualgl linux-headers-generic
5. Sistemi yeniden başlatın:

Kod: [Seç]
sudo reboot
   - 14.04 ve sonraki sürümler için Basit kurulum

1: Henüz yapmadıysanız depolarınızdan Universe ve Multiverse depolarınızı açın. Depoları açmayla ilgili wikimizdeki maddemiz için tıklayın. Forumdaki konumuz için tıklayın

2:
Kod: [Seç]
sudo apt-get install nvidia-331 bumblebee bumblebee-nvidia primus linux-headers-generic
3: Sistemi yeniden başlatın:

Kod: [Seç]
sudo reboot
   - Gelişmiş kurulum

Sahipli Nvidia sürücülerini veya 32bit'lik kütüphaneleri kullanmak istemeyen (örneğin sadece pil ömrü, ısınma sorununu aşma gibi konularla ilgilenen) tecrübeli kullanıcılar aşağıdaki yöntemle özel bir kurulum yapabilirler.

Asgari kurulum:

Kod: [Seç]
sudo apt-get install --no-install-recommends bumblebee
İhtiyacınıza göre kurulacak paketlere şunlar eklenebilir.

bumblebee-nvidia: Nvidia sahipli sürücüleri (kurulursa açık kaynak sürücü olan nouveau yerine kullanılır).
virtualgl: VirtualGL sunucu uygulaması
virtualgl-libs-ia32: 64bit'lik sistemlerde optirun vasıtasıyla çalıştırılacak 32bit'lik uygulamalar için VirtualGL desteği.
primus: primus/primusrun sunucu uygulaması. (Virtualgl varsayılan olarak kalır, çalıştırmak için optirun -b primus uygulama_ismi şeklinde komut gerektirir.
primus-libs-ia32: 64bit'lik sistemlerde optirun vasıtasıyla çalıştırılacak 32bit'lik uygulamalar için primus/primusrun desteği.


Kullanım

Uygulamaları Nvidia kart ile açmak için:

Kod: [Seç]
optirun uygulama_ismi
Örnek:

Kod: [Seç]
optirun firefox
Optirun seçenekleri ve yardım sayfası için:

Kod: [Seç]
optirun --help

Not: Optirun'ı pencere yöneteciniz, kurulum uygulamaları veya diğer grafik temelli olmayan ağır uygulamalar için kullanmayın. Optirun komutu özellikle grafik tabanlı uygulamalar ve oyunlar içindir.


Kaldırma

Bumblebee'yi kaldırmak için şu komutlar uygulanabilir:

Kod: [Seç]
sudo apt-get install ppa-purge
sudo ppa-purge ppa:bumblebee/stable

Eğer Bumblebee deposundan bazı uygulamaları korumak istiyorsanız depoların tamamının yerine Bumblebee paketini kaldırabilirsiniz:

Kod: [Seç]
sudo apt-get purge bumblebee
sudo apt-get --purge autoremove


Sürücüleri güncelleme

Eğer herhangi bir sebepten dolayı Bumblebee'nin kurmuş olduğu Nvidia sürücülerini güncellemek isterseniz öncelikle sürücüleri elle kurmamanız gerektiğini bilmelisiniz. Sürücülerin mutlaka depolardan kurulması gerekmektedir. Diyelim ki şu an 13.10 için depolarda bulunan nvidia-319-updates isimli sürücüyü Bumblebee'nin kullanması için kurmak istiyoruz.

Kod: [Seç]
sudo apt-get install nvidia-319-updates nvidia-settings-319-updates
ile sürücüyü ve Nvidia'nın aracını kuruyoruz. Bunun ardından aşağıdaki şekilde dosyayı açarak belirtilen değişiklikleri yapıyoruz:

Kod: [Seç]
sudo -H gedit /etc/bumblebee/bumblebee.conf
Değiştirilecek satırlar şu şekilde olmalıdır:

Alıntı

Driver=nvidia
KernelDriver=nvidia-319-updates
LibraryPath=/usr/lib/nvidia-319-updates:/usr/lib32/nvidia-319-updates
XorgModulePath=/usr/lib/nvidia-319-updates/xorg,/usr/lib/xorg/modules


Yapılacaklar:

1. Sorun çözme eklenecek: https://github.com/Bumblebee-Project/Bumblebee/wiki/Troubleshooting
Konuyu dağıtmamak adına ayrı bir başlık olabilir bunun için.
2. Güç yönetimi kısmı eklenecek. Normalde sorun olmaması gerekiyor, ancak olduğunda gidilebilecek bağlantıdan bahsedilecek.


Kaynak: https://wiki.ubuntu.com/Bumblebee
« Son Düzenleme: 12 Temmuz 2015 - 05:08:58 Gönderen: heartsmagic »
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #1 : »
Esasında bu konuda iki tane sabit çok güzel başlığımız var. Ancak Ubuntu talimatları biraz daha sade ve çok az farklılık içeriyor gibi. Ona el atalım istedik.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #2 : »
http://www.nvidia.com.tr/drivers/results/72250 lütfen bu linki incelermisin ubuntunun optimus teknolojili ekran kartlarının xorg yüzünden sıkıntı çıkartıp yüklenmediği söylenmiş yalnız 13.01.2014 tarihli nvideanın kendi verdiği sürücü güncellemesinin açıklamasında xorg desteği eklenmiştir diyor ben çok anlamıyorum bi yardımcı olursanız çok sevinirim

« Yanıtla #3 : »
@killer1691, eposta üzerinden cevap verdiğimiz gibi Optimus kartlar için şu an sorun yok. Sorduğun illa ki o sürücü ise durumu net olarak bilmiyorum kendi adıma. Bu sürümü deneyip sorun yaşayanlar vardı, şu an nasıldır bakmak lazım.

Bu sürüm haricinde Optimus istiyorsan bu başlık ve diğer başlıklarımız zaten onu amaçlıyor. Gönül rahatlığıyla kurup kullanabilirsin.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #4 : »
kusura bakmayın ben yeniyim ubuntuda ben tam olarak anlamadım zaten optimusla çalışdığı zaman iki ekran kartıda mı çalışmış oluyor son güncel sürüm olması gerekmiyor illa fark etmez steamden dota 2 gibi oyunları sorunsuz çalıştırsın yeter bana ilginiz için tekrar teşekkür ederim

« Yanıtla #5 : »
@killer1691, bu başlık senin gibi soru soracak arkadaşlar için hazırlandı zaten. Baştan sona okuyup nerede takıldın anlayamadım açıkçası. Optimus varsa, Nvidia'yı da kullanmak istiyorsan bu başlığı takip edeceksin. İstediğin uygulamaları da optirun ile çalıştırmaya bakacaksın. Bu başlığı uyguladıktan sonra istediğin uygulamalar için forumda arama yapabilirsin.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #6 : »
1 numarasın usta işe yaradı

« Yanıtla #7 : »
Masaüstü için de kullanılabilir mi acaba?

« Yanıtla #8 : »
@syagdiran
Nvidia + intel mi var?
Kod: [Seç]
lspci çıktısını paylaşabilir misiniz?
Sevdiklerine sevdiğini söyle çok geç olmadan.

« Yanıtla #9 : »
@guopx
Şu an başka bir bilgisayardan yazıyorum ama Nvidia GT 430 ekran kartım var.

« Yanıtla #10 : »
@syagdiran, masaüstlerinde Optimus olacağını sanmam ancak kesinleştirmek için o çıktı lazım bize.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #11 : »
@heartsmagic , Sürücüleri güncelledikten sonra primusrun komutu çalıştığı halde optirun komutu çalışmamaya başladı. Sorunu /etc/bumblebee/bumblebee.conf dosyasındaki

Kod: [Seç]
# The Driver used by Bumblebee server. If this value is not set (or empty),
# auto-detection is performed. The available drivers are nvidia and nouveau
# (See also the driver-specific sections below)
Driver=

"Driver=" alanına "nvidia" ekleyerek çözdüm. Güncelleme kısmına bunu eklersen aynı sorunu yaşayan arkadaşlara yardımcı olacaktır.

Kod: [Seç]
# The Driver used by Bumblebee server. If this value is not set (or empty),
# auto-detection is performed. The available drivers are nvidia and nouveau
# (See also the driver-specific sections below)
Driver=nvidia

« Yanıtla #12 : »
Teşekkürler @mechulkalan, ekledim o kısmı. Peki anlatımın sürücüleri güncelleme bölümündeki diğer değişiklikleri yaptın mı? Onlara gerek oluyor mu yani?
Ben henüz ilk elden denemeye vakit bulamadım, teyit edemiyorum ne yazık ki.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #13 : »
@hearsmagic , Yapmak zorunda kaldım.  Güncellemenin 304 sürücülerini kaldırması gerekiyor fakat bende kaldırmadı. Değişiklikleri yapmadan nvidia-settings'i çalıştırdığımda 304 sürüsücüsü görünüyordu. Değişikliklerden sonra 319 görünmeye başladı.

« Yanıtla #14 : »
Tamamdır teşekkürler. Sanırım güncelleme 304 sürücüsünü kaldırmıyor, bir başka arkadaş daha aynı şeyi söyledi.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #15 : »
nvidia sitesinde 331.49 sürümü mevcut bunu nasıl kurabilirim.
"Beni görmek demek, mutlaka yüzümü görmek demek değildir. Benim fikirlerimi, benim duygularımı anlıyorsanız ve hissediyorsanız, bu kafidir (yeterlidir)."

M.K.Atatürk

« Yanıtla #16 : »
Alıntı
Eğer herhangi bir sebepten dolayı Bumblebee'nin kurmuş olduğu Nvidia sürücülerini güncellemek isterseniz öncelikle sürücüleri elle kurmamanız gerektiğini bilmelisiniz. Sürücülerin mutlaka depolardan kurulması gerekmektedir.

Anlatımda yazan cümleler bunlar. Bumblebee geliştiricileri önermiyor siteden elle kurulumları.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #17 : »
Neden önerilmiyor bilginiz varmı birde depodaki en güncel sürücünün hangisi olduğunu nasıl öğrenebilirim.
İlginiz için Teşekkürler.
"Beni görmek demek, mutlaka yüzümü görmek demek değildir. Benim fikirlerimi, benim duygularımı anlıyorsanız ve hissediyorsanız, bu kafidir (yeterlidir)."

M.K.Atatürk

« Yanıtla #18 : »
Neden önermediklerini bilmiyorum, vardır bir bildikleri :) Neticede geliştirici onlar, sıkıntı oluyordur muhtemelen.
En güncel sürümü:
Kod: [Seç]
apt-cache --names-only search nvidia ile paketleri aratarak içinden seçebilirsin.

Bir başka yol ise Synaptic paket yöneticisini kurup orada arama yapmak. Ubuntu'nun yazılım merkezini sevmediğimi bir kere daha anlamış oldum böylece. Orada da arama yaparsın, hepsi gelmez, alt taraftaki "Bilmem kaç teknik öğeyi göster" demen gerekir.

PPA ile kurulan paketler sorun çıkartmayabilir ancak. Depoda olmayan sürümleri bulabileceğin yerler var, örneğin 331 sürümünü.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #19 : »
Verdiğiniz bilgiler için teşekkür ederim .
"Beni görmek demek, mutlaka yüzümü görmek demek değildir. Benim fikirlerimi, benim duygularımı anlıyorsanız ve hissediyorsanız, bu kafidir (yeterlidir)."

M.K.Atatürk

« Yanıtla #20 : »
kurmaya çalıştığımda laptop uzun bir süre siyah ekranda kalıyor sonra açılıyor ama çözünürlük baya düşmüş oluyor ve tekrar yükseltemiyorum hatta bumblebee yi kaldırdım yinede düzelmedi çözünürlük kaldı 1024x768 de 1920x1080 e getiremiyorum

Kod: [Seç]
abdurrahman@abdurrahman-VPCF23S1E:~$ sudo apt-get install bumblebee bumblebee-nvidia primus linux-headers-generic
Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
bumblebee zaten en yeni sürümde.
bumblebee-nvidia zaten en yeni sürümde.
linux-headers-generic zaten en yeni sürümde.
Aşağıdaki paket otomatik olarak kurulmuş ve artık bu pakete gerek duyulmuyor:
  linux-image-generic
Use 'apt-get autoremove' to remove it.
Aşağıdaki ek paketler de kurulacak:
  primus-libs primus-libs:i386
Aşağıdaki paketler yükseltilecek:
  primus primus-libs primus-libs:i386
3 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 261 paket yükseltilmeyecek.
0 B/175 kB arşiv dosyası indirilecek.
Bu işlem tamamlandıktan sonra 12,3 kB ek disk alanı kullanılacak.
Devam etmek istiyor musunuz [E/h]? e
(Veritabanı okunuyor... mevcut 191250 dosya veya klasör yüklü.)
Değiştirilmeye hazırlanan primus 0~20130601-1 (.../primus_20131127-1~saucyppa1_amd64.deb kullanarak) ...
primus değiştirmesi paketi açılıyor...
Değiştirilmeye hazırlanan primus-libs:amd64 0~20130601-1 (.../primus-libs_20131127-1~saucyppa1_amd64.deb kullanarak) ...
De-configuring primus-libs:i386 ...
primus-libs:amd64 değiştirmesi paketi açılıyor...
Değiştirilmeye hazırlanan primus-libs:i386 0~20130601-1 (.../primus-libs_20131127-1~saucyppa1_i386.deb kullanarak) ...
primus-libs:i386 değiştirmesi paketi açılıyor...
man-db için tetiklemeler işleniyor ...
primus-libs:amd64 (20131127-1~saucyppa1) ayarlanıyor...
primus-libs:i386 (20131127-1~saucyppa1) ayarlanıyor...
primus (20131127-1~saucyppa1) ayarlanıyor...
N: Geçersiz bir dosya uzantısı içerdiğinden 'bumblebee-stable-saucy.list.save' dosyası '/etc/apt/sources.list.d/' dizininde yoksayıldı.
N: Geçersiz bir dosya uzantısı içerdiğinden 'bumblebee-stable-saucy.list.save' dosyası '/etc/apt/sources.list.d/' dizininde yoksayıldı.
abdurrahman@abdurrahman-VPCF23S1E:~$


Mesaj tekrarı yüzünden mesajınız birleştirildi. Bu mesajın gönderim tarihi : [time]12 Mart 2014 - 02:02:29[/time]
lütfen bu konuda bana yardım edin ekran çözünürlüğü kaldı böyle ne yaptıysam değiştiremedim


Mesaj tekrarı yüzünden mesajınız birleştirildi. Bu mesajın gönderim tarihi : 12 Mart 2014 - 13:29:35
çözünürlük sorununu çözdüm http://forum.ubuntu-tr.net/index.php?topic=21050.0 burada anlatıldığı gibi sürücüleri elle yükledim çözünürlük düzeldi ben NVIDIA 540m i optimus teknolojili bir ürün sanıyordum ama galiba her Dizüstünde değil .
lspci | grep VGA çıktısı

Kod: [Seç]
01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 540M] (rev a1)

Eğer doğruysam teyit ederseniz çok sevinirim
« Son Düzenleme: 12 Mart 2014 - 13:29:35 Gönderen: killer1691 »

« Yanıtla #21 : »
Kod: [Seç]
lspci | egrep "VGA|3D|Display"tek çıktı veriyorsa Optimus yoktur.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #22 : »
Bazı Intel işlemcilerde entegre GPU mevcut değil maalesef. Örneğin buradaki ürün gibi. Entegre GPU olmadığı için, harici ekran kartının Optimus desteği geçersiz kalıyor.

« Yanıtla #23 : »
Evet tek çıktı veriyor teşekkür ederim.

« Yanıtla #24 : »
ubuntu 14.04 sürümü 64 bit için bumblebee yi 13.10 sürümüne kurduğumuz gibimi kuracağız. Nvida optimus için direk sürücü vs verecek denmişti bir ara.

Ekran Kartım

Kod: [Seç]
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF119M [GeForce GT 520M] (rev a1)
« Son Düzenleme: 19 Nisan 2014 - 18:43:52 Gönderen: istanbul »